--AH:ScriptId=6C7B7CFB-0D9C-4C83-B8DD-80008052237D

CREATE TABLE [RpmRepositoryData]
(
	[Feed_Id] INT NOT NULL,
	[DataType_Name] VARCHAR(20) NOT NULL,

	[SHA256_Bytes] BINARY(32) NOT NULL,
	[Open_SHA256_Bytes] BINARY(32) NOT NULL,
	[Data_Size] BIGINT NOT NULL,
	[Open_Data_Size] BIGINT NOT NULL,
	[Generated_Date] DATETIME NOT NULL,
	[Revision_Number] INT NOT NULL,

	[DirtySince_Date] DATETIME NULL,

	CONSTRAINT [PK__RpmRepositoryData]
		PRIMARY KEY ([Feed_Id], [DataType_Name]),

	CONSTRAINT [FK__RpmRepositoryData__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE
)