IF OBJECT_ID('[NpmPackages_AllVersions]') IS NOT NULL DROP VIEW [NpmPackages_AllVersions]
GO

CREATE VIEW [NpmPackages_AllVersions]
AS

	SELECT NP.[Feed_Id],
	       NP.[Package_Name],
		   NP.[Scope_Name],
		   NPV.[Version_Text],
		   NPV.[Published_Date],
		   NPV.[Download_Count],
		   NPV.[LastDownloaded_Date],
		   NPV.[PackageHash_Bytes],
		   NPV.[PackageJson_Bytes],
		   NPV.[Cached_Indicator],
		   NPV.[Package_Size]
	  FROM [NpmPackageVersions] NPV
	       INNER JOIN [NpmPackages] NP
		           ON NP.[Package_Id] = NPV.[Package_Id]

GO